### Method

# GLib MainContext check

#### Declaration

    gboolean
    g_main_context_check (
      GMainContext* context,
      gint max_priority,
      GPollFD* fds,
      gint n_fds
    )

#### Description

Passes the results of polling back to the main loop. You should be careful to pass `fds` and its length `n_fds` as received from g_main_context_query(), as this functions relies on assumptions on how `fds` is filled.

You must have successfully acquired the context with `g_main_context_acquire()` before you may call this function.

Since 2.76 `context` can be `NULL` to use the global-default main context.

#### Parameters

`max_priority`

  Type: `gint`

  The maximum numerical priority of sources to check.

`fds`

  Type: An array of `GPollFD`

  Array of `GPollFD`‘s that was passed to the last call to g_main_context_query().

  The length of the array is specified in the `n_fds` argument.
  The data is owned by the caller of the method.

`n_fds`

  Type: `gint`

  Return value of g_main_context_query().

#### Return value

Type: `gboolean`

`TRUE` if some sources are ready to be dispatched.